from scikits import audiolab
import scipy

# Play sound at this frequency
fs = 44100.0

# Generate test data
# (a simple tone, replace with your real array instead)
f = 400.0 # Frequency of test tone
T = 2.0
x = scipy.cos((2*scipy.pi*f/fs)*scipy.arange(fs*T))

# Play sound
audiolab.play(x, fs)

# Output sound to wav format
format = audiolab.Format('wav')
f = audiolab.Sndfile("guitar.wav", 'w', format, 1, fs)
f.write_frames(x)
f.close()
